Subject: Re: [PATCH 6/9] iommu/arm-smmu-v3: Directly encode simple commands

From: Jason Gunthorpe <[email-masked]>
Date: Fri, 8 May 2026 20:36:29 -0300

On Fri, May 08, 2026 at 08:09:33PM +0000, Pranjal Shrivastava wrote:
> > > > +static void arm_smmu_cmdq_batch_add_cmd_p(struct arm_smmu_device *smmu,
> > > > +					  struct arm_smmu_cmdq_batch *cmds,
> > > > +					  struct arm_smmu_cmd *cmd)
> > > 
> > > Nit: Same here, why not  __arm_smmu_cmdq_batch_add_cmd? I understand
> > > that _p just means we'll aceept ptr.. but the name's kinda wonky.
> > 
> > Which becomes a fairly widly used public entry point, so I didn't want
> > to have the __
> > 
> > Though there is no external user of arm_smmu_cmdq_issue_cmd_p()
> > 
> 
> It's just that we're calling "arm_smmu_cmdq_batch_add_cmd_p" at one
> place and using `arm_smmu_make_cmd_<cmd_name>` at the other. It makes
> one think what's "_p" in issue_cmd, only to realize "_p: pointer variant
> 
> I guess I didn't like the new _p ones but I guess it's fine. Happy to
> leave it at your discretion.

I don't much care for the _p (and yes it means pointer variation) but
do like it better than __ and failed to come up with another idea :)

Thanks,
Jason